<?xml version="1.0" encoding="UTF-8"?>
<problem 
    version="1.0"
    id ="roi.day1.password"
>
    <judging>
        <script type ="%ioi">
            <testset
                name ="preliminary"

                input-name  ="password.in"
                output-name ="password.out"
                input-href  ="preliminary/##"
                answer-href ="preliminary/##.a"

                time-limit ="1s"
                memory-limit ="268435456"
            >
                <test points ="0" comment="Тест из примера"/>
                <test points ="0" comment="Тест из примера"/>
                <test points ="0" comment="Тест из примера"/>
                <test points ="0" comment="Тест из примера"/>
            </testset>

            <testset
                name ="main"

                input-name  ="password.in"
                output-name ="password.out"
                input-href  ="tests/##"
                answer-href ="tests/##.a"

                time-limit ="1s"
                memory-limit ="268435456"
            >
            	<test-group
            		comment = "Подзадача 1. (Первое число меньше 10^9)"
            		score = "group"
            		feedback = "outcome"
            		group-bonus = "30"
            	>
<test points ="0" comment="из 1 получить 1, длина первого числа = 1, длина второго числа = 1"/>
<test points ="0" comment="из 12 получить 3, длина первого числа = 2, длина второго числа = 1"/>
<test points ="0" comment="Случайный тест, необходимо заменить префикс длины 3 на сумму, длина первого числа = 9, длина второго числа = 8"/>
<test points ="0" comment="Случайный тест, необходимо заменить суффикс длины 4 на сумму, длина первого числа = 9, длина второго числа = 7"/>
<test points ="0" comment="Случайный тест, необходимо заменить префикс длины 8 на сумму, длина первого числа = 9, длина второго числа = 3"/>
<test points ="0" comment="Случайный тест, необходимо заменить суффикс длины 8 на сумму, длина первого числа = 9, длина второго числа = 3"/>
<test points ="0" comment="Случайный тест, необходимо заменить суффикс длины 4 на сумму, длина первого числа = 9, длина второго числа = 7"/>
<test points ="0" comment="Случайный тест, необходимо заменить все кроме первых 1 и последних 1, длина первого числа = 9, длина второго числа = 4"/>
<test points ="0" comment="Случайный тест, длина первого числа = 5, длина второго числа = 5"/>
<test points ="0" comment="Случайный тест, длина первого числа = 9, длина второго числа = 9"/>
<test points ="0" comment="Случайный тест, длина первого числа = 9, длина второго числа = 9"/>
<test points ="0" comment="Случайный тест, длина первого числа = 9, длина второго числа = 3"/>
<test points ="0" comment="Оба числа совпадают, длина первого числа = 9, длина второго числа = 9"/>
                </test-group>
            	<test-group
            		comment = "Подзадача 2. (Первое число меньше 10^1000)"
            		score = "group"
            		feedback = "outcome"
            		group-bonus = "30"
            	>
<test points ="0" comment="11 единиц, длина первого числа = 11, длина второго числа = 2"/>
<test points ="0" comment="Случайный тест, необходимо заменить все кроме первых 75 и последних 94, длина первого числа = 999, длина второго числа = 173"/>
<test points ="0" comment="Случайный тест, необходимо заменить префикс длины 656 на сумму, длина первого числа = 998, длина второго числа = 346"/>
<test points ="0" comment="Случайный тест, необходимо заменить суффикс длины 376 на сумму, длина первого числа = 997, длина второго числа = 625"/>
<test points ="0" comment="Случайный тест, длина первого числа = 1000, длина второго числа = 946"/>
<test points ="0" comment="Случайный тест, длина первого числа = 1000, длина второго числа = 673"/>
<test points ="0" comment="Случайный тест, длина первого числа = 1000, длина второго числа = 951"/>
<test points ="0" comment="Случайный тест, проверяет корректную обработку нулей, длина первого числа = 999, длина второго числа = 415"/>
<test points ="0" comment="Заменить центр на сумму, префикс и суффикс суммы совпадают с исходным числом, длина первого числа = 1000, длина второго числа = 701"/>
<test points ="0" comment="Заменить всё число на сумму, префикс и суффикс суммы совпадают с исходным числом, длина первого числа = 508, длина второго числа = 4"/>
<test points ="0" comment="Первое число 999...999, второе сумма всех цифр, длина первого числа = 1000, длина второго числа = 4"/>
<test points ="0" comment="Первое число 100...000, второе сумма всех цифр, длина первого числа = 1000, длина второго числа = 1"/>
<test points ="0" comment="Оба числа совпадают, длина первого числа = 1000, длина второго числа = 1000"/>
                </test-group>
            	<test-group
            		comment = "Подзадача 3. (Первое число меньше 10^100000)"
            		score = "group"
            		feedback = "outcome"
            		group-bonus = "40"
            	>
<test points ="0" comment="1112 единиц, длина первого числа = 1112, длина второго числа = 5"/>
<test points ="0" comment="Случайный тест, необходимо заменить все кроме первых 549 и последних 599, длина первого числа = 100000, длина второго числа = 1154"/>
<test points ="0" comment="Случайный тест, необходимо заменить все кроме первых 514 и последних 919, длина первого числа = 100000, длина второго числа = 1439"/>
<test points ="0" comment="Случайный тест, необходимо заменить префикс длины 64863 на сумму, длина первого числа = 100000, длина второго числа = 35143"/>
<test points ="0" comment="Случайный тест, необходимо заменить суффикс длины 47449 на сумму, длина первого числа = 100000, длина второго числа = 52557"/>
<test points ="0" comment="Случайный тест, необходимо заменить префикс длины 99999 на сумму, длина первого числа = 100000, длина второго числа = 7"/>
<test points ="0" comment="Случайный тест, необходимо заменить суффикс длины 99999 на сумму, длина первого числа = 100000, длина второго числа = 7"/>
<test points ="0" comment="Заменить центр на сумму, префикс и суффикс суммы совпадают с исходным числом, длина первого числа = 100000, длина второго числа = 48428"/>
<test points ="0" comment="Заменить всё число на сумму, префикс и суффикс суммы совпадают с исходным числом, длина первого числа = 53193, длина второго числа = 6"/>
<test points ="0" comment="Заменить центр на сумму, префикс и суффикс суммы совпадают с исходным числом, длина первого числа = 100000, длина второго числа = 61356"/>
<test points ="0" comment="Заменить центр на сумму, префикс и суффикс суммы совпадают с исходным числом, длина первого числа = 100000, длина второго числа = 99605"/>
<test points ="0" comment="Случайный тест, длина первого числа = 100000, длина второго числа = 76532"/>
<test points ="0" comment="Случайный тест, длина первого числа = 100000, длина второго числа = 36332"/>
<test points ="0" comment="Случайный тест, длина первого числа = 100000, длина второго числа = 87611"/>
<test points ="0" comment="Случайный тест, проверяет корректную обработку нулей, длина первого числа = 99999, длина второго числа = 39169"/>
<test points ="0" comment="Первое число 999...999, второе сумма всех цифр, длина первого числа = 100000, длина второго числа = 6"/>
<test points ="0" comment="Первое число 100...000, второе сумма всех цифр, длина первого числа = 100000, длина второго числа = 1"/>
<test points ="0" comment="Оба числа совпадают, длина первого числа = 100000, длина второго числа = 100000"/>
                </test-group>
            </testset>

            <verifier type="%testlib">
                <binary executable-id ="x86.exe.win32" file ="check.exe" />
            </verifier>
        </script>
    </judging>
</problem>
